CREATE TABLE auditrecord (
    arid INTEGER NOT NULL,
    artype VARCHAR(32),
    arsubtype VARCHAR(32),
    PRIMARY KEY(arid)
);
CREATE INDEX ix_artype ON auditrecord(artype);
CREATE INDEX ix_arsubtype ON auditrecord(arsubtype);
CREATE TABLE auditpacket (
    apid INTEGER NOT NULL,
    aprecordid INTEGER NOT NULL,
    apkey VARCHAR(32),
    apvalue VARCHAR(1024),
    PRIMARY KEY(apid)
);
CREATE INDEX ix_aprecordid ON auditpacket(aprecordid);
CREATE INDEX ix_apkey ON auditpacket(apkey);
