from java.lang import System

from com.ziclix.python.sql import zxJDBC

t1 = System.currentTimeMillis()
con = zxJDBC.connect('jdbc:mysql://localhost/Test', 'root', '', 'com.mysql.jdbc.Driver')
c = con.cursor()
c.execute("SELECT ar.arid, ar.artype, ar.arsubtype, ap.apkey, ap.apvalue FROM auditrecord ar JOIN auditpacket ap ON ar.arid = ap.aprecordid WHERE (ar.artype = 'Login failure' OR ar.artype = 'Breakin') ORDER BY ar.arid")
data = c.fetchall()
f = open('z.2', 'w')
lastid = -1
n = 0
for row in data:
    if row[0] != lastid:
        f.write('%s - %s:\n' % (row[1], row[2]))
        lastid = row[0]
        n = n + 1
    if row[3] == 'TimeStamp':
        f.write('  TimeStamp = %s\n' % (row[4]))
    if row[3] == 'RemoteUsername':
        f.write('  RemoteUsername = %s\n' % (row[4]))
    if row[3] == 'RemoteSystem':
        f.write('  RemoteSystem = %s\n' % (row[4]))
    if row[3] == 'Terminal':
        f.write('  Terminal = %s\n' % (row[4]))
f.close()
c.close()
con.close()
t2 = System.currentTimeMillis()
print("logfail - db (raw) - DB API : %d records in %d milliseconds" % (n, t2 - t1))
