from java.lang import System

from com.ziclix.python.sql import zxJDBC

t1 = System.currentTimeMillis()
con = zxJDBC.connect('jdbc:mysql://localhost/Test', 'root', '', 'com.mysql.jdbc.Driver')
c = con.cursor()
c.execute("SELECT aetype, aesubtype, aetimestamp, aelrremoteusername, aelrremotesystem, aelrterminal FROM (auditevent ae JOIN auditeventlocal ael ON ae.aeid = ael.aeid) JOIN auditeventlocalremote aelr ON ae.aeid = aelr.aeid WHERE (aetype = 'Login failure' OR aetype = 'Breakin') ORDER BY ae.aeid")
data = c.fetchall()
f = open('z.3', 'w')
n = 0
for row in data:
    f.write('%s - %s:\n' % (row[0], row[1]))
    f.write('  TimeStamp = %s\n' % (row[2]))
    f.write('  RemoteUsername = %s\n' % (row[3]))
    f.write('  RemoteSystem = %s\n' % (row[4]))
    f.write('  Terminal = %s\n' % (row[5]))
    n = n + 1
f.close()
c.close()
con.close()
t2 = System.currentTimeMillis()
print("logfail - db (struct) - DB API : %d events in %d milliseconds" % (n, t2 - t1))
