from java.lang import System
from java.util.logging import Level
from java.util.logging import Logger
from javax.persistence import Persistence

from dk.vajhoej.vms.audit.db.struct import AuditDbEventLocalRemote

t1 = System.currentTimeMillis()
Logger.getLogger("org.hibernate").setLevel(Level.OFF)
emf = Persistence.createEntityManagerFactory("prod_audit_struct")
em = emf.createEntityManager()
q = em.createQuery("SELECT ae FROM AuditDbEventLocalRemote AS ae WHERE (ae.type = 'Login failure' OR ae.type = 'Breakin') ORDER BY ae.id", AuditDbEventLocalRemote)
res = q.getResultList()
f = open('z.5', 'w')
n = 0
for ae in res:
    f.write('%s - %s:\n' % (ae.type, ae.subType))
    f.write('  TimeStamp = %s\n' % (ae.timeStamp))
    f.write('  RemoteUsername = %s\n' % (ae.remoteUsername))
    f.write('  RemoteSystem = %s\n' % (ae.remoteSystem))
    f.write('  Terminal = %s\n' % (ae.terminal))
    n = n + 1
f.close()
t2 = System.currentTimeMillis()
print("logfail - db (struct) - JPA : %d events in %d milliseconds" % (n, t2 - t1))
