import sys
from java.lang import System
from dk.vajhoej.vms.audit import AuditFile,AuditType,AuditSubType

t1 = System.currentTimeMillis()
af = AuditFile(sys.argv[1])
f = open('z.1', 'w')
n = 0
while af.more():
    ar = af.read()
    typ = AuditType.asString(ar.header.type) 
    subtyp = AuditSubType.asString(ar.header.type, ar.header.subType) 
    if typ == "Login failure" or typ == "Breakin":
        f.write('%s - %s:\n' % (typ, subtyp))
        for ap in ar.packets:
            if ap.key == 'TimeStamp':
                f.write('  TimeStamp = %s\n' % (ap.value))
            if ap.key == 'RemoteUsername':
                f.write('  RemoteUsername = %s\n' % (ap.value))
            if ap.key == 'RemoteSystem':
                f.write('  RemoteSystem = %s\n' % (ap.value))
            if ap.key == 'Terminal':
                f.write('  Terminal = %s\n' % (ap.value))
        n = n + 1
f.close()
af.close()
t2 = System.currentTimeMillis()
print("logfail - flat file : %d records in %d milliseconds" % (n, t2 - t1))
